Summary:	Shim pytest plugin to enable celery.contrib.pytest
Summary(pl.UTF-8):	Minimalna wtyczka pytesta włączająca celery.contrib.pytest
Name:		python3-pytest-celery
Version:	1.2.0
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pytest-celery/
Source0:	https://files.pythonhosted.org/packages/source/p/pytest-celery/pytest_celery-%{version}.tar.gz
# Source0-md5:	d737b3149359b2c7fd516a386389440c
URL:		https://pypi.org/project/pytest-celery/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
Requires:	python3-modules >= 1:3.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Shim pytest plugin to enable celery.contrib.pytest.

%description -l pl.UTF-8
Minimalna wtyczka pytesta włączająca celery.contrib.pytest.

%prep
%setup -q -n pytest_celery-%{version}

%build
%py3_build_pyproject

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE
%{py3_sitescriptdir}/pytest_celery
%{py3_sitescriptdir}/pytest_celery-%{version}.dist-info
%changelog
* Sun May 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pytest-celery.git;a=log;h=auto/th/python3-pytest-celery-1.2.0-1

* Wed Apr 30 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 93d9eb8
- Up to 1.2.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 7958bbd
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 7f82c9d
- python 3.13 rebuild

* Sat Dec 09 2023 Jakub Bogusz <qboosh@pld-linux.org> a0d5317
- new

